Recipients

Verify Recipient

Verify if a recipient address is registered in the Peppol network

POST
/api/v1/verify
AuthorizationBasic <token>

Basic API key authentication. Create a new API key and secret in the Recommand dashboard.

In: header

Request Body

application/json

Response Body

application/json

curl -X POST "https://app.recommand.eu/api/v1/verify" \  -H "Content-Type: application/json" \  -d '{    "peppolAddress": "string"  }'
{
  "success": true,
  "isValid": true,
  "smpUrl": "string",
  "serviceMetadataReferences": [
    "string"
  ],
  "smpHostnames": [
    "string"
  ],
  "supportedDocuments": [
    {
      "name": "string",
      "docTypeId": "string",
      "serviceProvider": "string",
      "serviceEndpoint": "string",
      "technicalContact": "string",
      "certificateExpiry": "string"
    }
  ],
  "companyName": "string",
  "countryCode": "string"
}